| Home | Libraries | People | FAQ | More

#### unix_ssl_connection

(Legacy) A connection to MySQL over a UNIX domain socket over TLS.

##### Synopsis

Defined in header `<boost/mysql/unix_ssl.hpp>`

    using unix_ssl_connection = connection< boost::asio::ssl::stream< boost::asio::local::stream_protocol::socket > >;

##### Legacy

New code should not use this class. When using UNIX sockets, we recommend using plaintext connections.

Convenience header `<boost/mysql.hpp>`